Subject: Save the Maidenhair (mine)

From: Abraham Lewis <[email-masked]>
Date: Thu, 1 Aug 1996 10:46:32 -0400

I once lived in the north end of the San Francisco Bay area and had no
difficulty growing both Rosy and Southern Maidenhair ferns.  I now live in
Florida and have killed every one I have ever lain hands on.  I have tried
indoors and out, and a wide range of humidities.  Is it the heat?  I
assumed that they would have no problem with approximately 78 degree
interior temps with some judicious misting, but no joy.

Stop me before I kill again!

  Abraham K. Lewis
  Jupiter, Florida
  [email-masked]